Subject: Re: [PATCH v4] log: add log.follow config option

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Jul 2015 14:03:25 -0700

David Turner <[email-masked]> writes:

> On Thu, 2015-07-09 at 10:58 -0700, Junio C Hamano wrote:
>> David Turner <[email-masked]> writes:
>> 
>> > On Thu, 2015-07-09 at 10:23 -0700, Junio C Hamano wrote:
>> > <snip>
>> >> If I were David and sending this v4 patch, it would have looked like
>> >> this.
>> >>
>> >> -- >8 --
>> >> 
>> >> From: David Turner <[email-masked]>
>> >> Date: Tue, 7 Jul 2015 21:29:34 -0400
>> >> Subject: [PATCH v4] log: add "log.follow" configuration variable
>> >> 
>> >> People who work on projects with mostly linear history with frequent
>> >> whole file renames may want to always use "git log --follow" when
>> >> inspecting the life of the content that live in a single path.
>> >> 
>> >> Teach the command to behave as if "--follow" was given from the
>> >> command line when log.follow configuration variable is set *and*
>> >> there is one (and only one) path on the command line.
>> >
>> >
>> > Thanks.  That version is much better.
>> 
>> No, thank _you_; we should be thanking you for helping us improve
>> the system ;-)
>
> Do I need to re-send, or will you queue your version?

I think I've already queued this version to my tree.

... goes and looks ...

Yup, it is near 'next' and I'm planning to merge it down to 'next'
and then to 'master' as time passes ;-)

Thanks.